Package org.eclipse.gef.dot.internal.ui.conversion

# Class Zest2DotAttributesConverter

java.lang.Object
org.eclipse.gef.dot.internal.ui.conversion.Zest2DotAttributesConverter

All Implemented Interfaces:
  `org.eclipse.gef.common.attributes.IAttributeCopier`

public class Zest2DotAttributesConverter extends Object implements org.eclipse.gef.common.attributes.IAttributeCopier

## Field Summary

### Fields inherited from interface org.eclipse.gef.common.attributes.IAttributeCopier

`NULL_COPY, SHALLOW_COPY`

## Constructor Summary

Constructors
Constructor
Description
`Zest2DotAttributesConverter()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`convertAttributes(org.eclipse.gef.graph.Edge zest, org.eclipse.gef.graph.Edge dot)`
`protected void`
`convertAttributes(org.eclipse.gef.graph.Graph zest, org.eclipse.gef.graph.Graph dot)`
`protected void`
`convertAttributes(org.eclipse.gef.graph.Node zest, org.eclipse.gef.graph.Node dot)`
`void`
`copy(org.eclipse.gef.common.attributes.IAttributeStore source, org.eclipse.gef.common.attributes.IAttributeStore target)`
`Dot2ZestAttributesConverter.Options`
`options()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Zest2DotAttributesConverter

public Zest2DotAttributesConverter()

## Method Details

### options

public Dot2ZestAttributesConverter.Options options()

### convertAttributes

protected void convertAttributes(org.eclipse.gef.graph.Graph zest, org.eclipse.gef.graph.Graph dot)

### convertAttributes

protected void convertAttributes(org.eclipse.gef.graph.Edge zest, org.eclipse.gef.graph.Edge dot)

### convertAttributes

protected void convertAttributes(org.eclipse.gef.graph.Node zest, org.eclipse.gef.graph.Node dot)

### copy

public void copy(org.eclipse.gef.common.attributes.IAttributeStore source, org.eclipse.gef.common.attributes.IAttributeStore target)

Specified by:
  `copy` in interface `org.eclipse.gef.common.attributes.IAttributeCopier`